%define qtdir /usr/lib/qt-1.44
%define version 1.1.2
%define kderelease 9
%define sourcedir stable/%{version}/distribution/tar/generic/source
%define kdename kdelibs

#---------------------------------------------------------------
# set KDE paths to FHS-2.0-compliant locations (Red Hat style) 
# (the $INSTALL_ROOT thing is needed only for kdelibs)

%define kde_prefix  ${INSTALL_ROOT}/usr
%define kde_share   ${INSTALL_ROOT}/usr/share
%define kde_doc     ${INSTALL_ROOT}/usr/doc/kde
%define kde_config  ${INSTALL_ROOT}/usr/share/config
%define kde_include ${INSTALL_ROOT}/usr/include/kde

%define kde_path_defs kde_htmldir=%{kde_doc}/HTML kde_icondir=%{kde_share}/icons kde_minidir=%{kde_share}/icons/mini kde_appsdir=%{kde_share}/applnk kde_sounddir=%{kde_share}/sounds kde_datadir=%{kde_share}/apps kde_locale=%{kde_share}/locale kde_cgidir=%{kde_prefix}/lib/cgi-bin kde_confdir=%{kde_config} kde_mimedir=%{kde_share}/mimelnk kde_toolbardir=%{kde_share}/toolbar kde_wallpaperdir=%{kde_share}/wallpapers kde_bindir=%{kde_prefix}/bin kde_partsdir=%{kde_prefix}/lib/parts 
#-----------------------------------------------------------------------

Name: %{kdename}
Icon: kde-icon.xpm
Summary: K Desktop Environment - Libraries
Version: %{version}
Release: %{kderelease}
Serial: 2
Source: ftp://ftp.kde.org:/pub/kde/%{sourcedir}/%{kdename}-%{version}.tar.bz2
Source1: kdoc-snapshot.tar.gz
Patch0: kdelibs-1.1.2-iconpaths.patch
Patch1: kdelibs-1.1.2-redhat.patch
Group: System Environment/Libraries
License: LGPL
BuildRoot: /var/tmp/%{kdename}-buildroot
Requires: kdesupport


%description
Libraries for the K Desktop Environment:
KDE Libraries included: kdecore (KDE core library), kdeui (user interface),
kfm (file manager), khtmlw (HTML widget), kfile (file access), kspell
(spelling checker), jscript (javascript), kab (addressbook), kimgio (image
manipulation), mediatool (sound, mixing and animation).

%package devel
Group: Development/Libraries
Summary: Header files and documentation for compiling KDE applications.
Requires: qt1x-devel

%description devel
This package includes the header files you will need to compile
applications for KDE.  Also included is the KDE API documentation in HTML
format for easy browsing.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n kdelibs-%{version} -a 1
%patch0 -p1 -b .iconpaths
%patch1 -p1 -b .redhat

%build
export INSTALL_ROOT= QTDIR=%{qtdir}
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" \
	%{kde_path_defs} ./configure --prefix=/usr \
	--includedir=/usr/include/kde

make

cd kdoc
./configure --prefix=/usr \
	--exec-prefix=/usr \
make

# generate documentation
chmod +x kdoc && perl -pi -e \
	"s|/usr/local/bin|/usr/bin|g" kdoc

PERLLIB=$PWD PATH=$PATH:$PWD perl qt2kdoc \
	-u $PWD/../qt1x-devel-1.44  \
	-o $PWD/.. \
	-z /usr/doc/qt1x-devel-1.44
PERLLIB=$PWD PATH=$PATH:$PWD perl makekdedoc \
	--outputdir=$PWD/../srcdoc \
	--srcdir=$PWD/.. \
	-L $PWD/..

#PERL -pi -e "s|/usr/src/bs/BUILD/kdelibs-1.1.2/kdoc/../srcdoc/|

%install
export INSTALL_ROOT=$RPM_BUILD_ROOT
make %{kde_path_defs} includedir=$RPM_BUILD_ROOT/usr/include/kde \
	prefix=$RPM_BUILD_ROOT/usr install-strip

chmod a+x $RPM_BUILD_ROOT/usr/lib/*

cd kdoc
make install prefix=$RPM_BUILD_ROOT/usr \
	exec_prefix=$RPM_BUILD_ROOT/usr

perl -pi -e "s|/var/tmp/kdelibs-buildroot|/|" $RPM_BUILD_ROOT/usr/bin/kdoc

# build file list
cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s|^\.|\%attr(-,root,root) \%dir |' > \
		$RPM_BUILD_DIR/master.list

find . -type f | sed -e 's|^\.|\%attr(-,root,root) |' \
		-e '/\/config\//s|^|%config|' >> \
		$RPM_BUILD_DIR/master.list

find . -type l | sed 's|^\.|\%attr(-,root,root) |' >> \
		$RPM_BUILD_DIR/master.list

grep "/include" $RPM_BUILD_DIR/master.list > \
	$RPM_BUILD_DIR/file.list.%{kdename}-devel
grep ".so$" $RPM_BUILD_DIR/master.list >> \
	$RPM_BUILD_DIR/file.list.%{kdename}-devel
# KDOC
grep "/share/kdoc" $RPM_BUILD_DIR/master.list >> \
	$RPM_BUILD_DIR/file.list.%{kdename}-devel
grep "/bin" $RPM_BUILD_DIR/master.list >> \
	$RPM_BUILD_DIR/file.list.%{kdename}-devel
grep "/man/man1" $RPM_BUILD_DIR/master.list >> \
	$RPM_BUILD_DIR/file.list.%{kdename}-devel

egrep -v "/include|.so$|/share/kdoc|/bin|/man/man1" \
	$RPM_BUILD_DIR/master.list > \
	$RPM_BUILD_DIR/file.list.%{kdename}

echo "%docdir /usr/doc/kde" >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/master.list
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}-devel

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig

%files -f ../file.list.%{kdename}

%files devel -f ../file.list.%{kdename}-devel
%doc *kdoc.gz
%doc srcdoc/*

%changelog
* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- move kde_htmldir to /usr/doc/kde
- mark doc files as such

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- fix up perl include path for kdoc

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- remove linking to qimgio from kdecore, moved to kpanel/kfm directly
- renamed "lowcolor" directory to "locolor"

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- added lowcolor icons directory and /usr/share/pixmaps to icon search path
- hacking to recognize .desktop files as application/x-kdelnk

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- added kdoc index files.

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- updated to KDE 1.1.2.
- use /usr/lib/qt-1.44 as qt root.
- separate devel subpackages; include documentation and kdoc.
- added KDE icon.
- relocated includes to /usr/include/kde

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Fri Jan 15 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed redhat-release dependency

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-integrated changes from Duncan Haldane








